{
  "name": "Ollassistant",
  "description": "Compagnion pour la navigation web tout en local",
  "version": "1.0",
  "manifest_version": 3,
  "permissions": ["webNavigation", "storage"],
  "action": {
    "default_popup": "index.html",
    "default_icon": "logo.jpg"
  },
  "background": {
    "service_worker": "service-worker.js"
  },
  "content_scripts": [
    {
      "matches": ["http://*/*.", "https://*/*"],
      "js": ["content-script.js"],
      "run_at": "document_end",
      "all_frames": false,
      "exclude_matches": ["https://www.youtube.com/*"]
    }
  ],
  "web_accessible_resources": [
    {
      "matches": ["<all_urls>"],
      "resources": [
        "inject.js",
        "js/jsx-runtime.js",
        "content-script.js",
        "app.js"
      ],
      "use_dynamic_url": true
    }
  ]
}
